Bug 755827 - display incorrectly displays "scenes"
Summary: display incorrectly displays "scenes"
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: ImageMagick
Version: 16
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 795126 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-22 06:52 UTC by Major
Modified: 2012-03-24 20:53 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-18 13:41:52 UTC


Attachments (Terms of Use)

Description Major 2011-11-22 06:52:06 UTC
Description of problem:

When asked to display multiple files, display displays the first file again when it should be displaying the second apparently mistakenly trying to display some kind of animation scene.

Version-Release number of selected component (if applicable):

Version: ImageMagick 6.7.3-7 2011-11-20 Q16 http://www.imagemagick.org
Copyright: Copyright (C) 1999-2011 ImageMagick Studio LLC
Features: OpenMP  

How reproducible:
100%

Steps to Reproduce:
1. display multiple files (EG: display *.jpg in a directory with more than one file)
2. Press space

  
Actual results:
(at 1) first file displayed
(at 2) first file displayed again but the title bar changes to display the information: "[scene: 0 frames: 2]"

Expected results:
(at 1) first file displayed
(at 2) second file displayed


Additional info:

this problem has been recognized and corrected upstream
http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=19141

Comment 1 Pavel Alexeev 2011-12-10 10:58:38 UTC
Thank you for your bugreport and willing make free software better!

Reported upstream as you say itself. I also ask when it will be fixed.

We close bug now, as it related to upstream developing. But we continue track changes and whatever it will be fixed ve consider make update in Fedora.

Comment 2 Pavel Alexeev 2011-12-11 22:08:08 UTC
Upstream author answer what it is fixed and doesn't reproduced anymore. Please answer in they forum!

Comment 3 Major 2011-12-12 07:12:17 UTC
Problem is fixed upstream but fix has not been incorporated into Fedora, how could commenting in THEIR forum possibly help?

Comment 4 Pavel Alexeev 2011-12-18 13:41:52 UTC
Author said what it is expected behavior. If you disagree, please speak with author. There nothing do in Fedora.

If some changes happened I can make new build in rawhide then.

Comment 5 Pavel Alexeev 2012-02-19 19:03:16 UTC
*** Bug 795126 has been marked as a duplicate of this bug. ***

Comment 6 Corinna Vinschen 2012-02-19 19:24:14 UTC
Pavel,

you seem to have misunderstood what the author said.  The bug is fixed
upstream, but what we're asking for is to get the bugfix into Fedora.
F16 ImageMagick version is 6.7.0.10, but the bug has been fixed upstream
between 6.7.3 and 6.7.4.  So what we're asking for is an update of the
Fedora version.


Corinna

Comment 7 Pavel Alexeev 2012-02-23 12:45:31 UTC
Hello, Corinna.

As upstream maintainers not so careful in soname bump [1] it may lead to ugly errors. Additionaly, there at least ryby-rmagick which explicitly depends on exact version of IM. So, to push that updates all dependency rebuild should be happened. As it is not security bug - I'm do not willing do that. Update already in rawhide - so, who are willing may use that already.

[1] http://old.nabble.com/Bug-564123%3A--imagemagick--Dear-other-(than-debian)-imagemagick-maintenair-td27125967.html

Comment 8 Corinna Vinschen 2012-02-23 16:06:30 UTC
There's just the tiny problem that the rawhide version of ImageMagick is too
old as well.  It's 6.7.1.9-3.

Again, the fix has been applied between 6.7.3 and 6.7.4.  So please update at
least rawhide to the latest available ImageMagick version which is 6.7.5-6.
I built and tested it on F16 and can confirm that the problem is fixed in that
upstream release.


Corinna

Comment 9 Pavel Alexeev 2012-02-27 16:24:31 UTC
Ok, that done http://koji.fedoraproject.org/koji/taskinfo?taskID=3822853
So-name bump happened as announced in ML.


Note You need to log in before you can comment on or make changes to this bug.